/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "project.h"
#include <stdio.h>
#include "veml6075.h"

char str[128] ;

void init_hardware(void)
{
    CyGlobalIntEnable; /* Enable global interrupts. */
    UART_Start() ;
    I2C_Start() ;
}

int main(void)
{
    uint16_t id = 0 ;
    float uvi, uva, uvb, uva_cie, uvb_cie ;
    
    init_hardware() ;

    sprintf(str, "VEML6075 Test Program (%s %s)\n", __DATE__, __TIME__) ;
    UART_UartPutString(str) ;
    
    VEML6075_setUVConf(0x00) ;
    
    id = VEML6075_getID() ;
    sprintf(str, "ID = 0x%04X\n", id) ;
    UART_UartPutString(str) ;    
    
    for(;;) {
        uvi = VEML6075_UVI() ;
        uva = VEML6075_getUVA() ;
        uva_cie = VEML6075_getUVA_CIE() ;
        uvb = VEML6075_getUVB() ;
        uvb_cie = VEML6075_getUVB_CIE() ;
        sprintf(str, "%.4f, %.4f, %.4f, %.4f, %.4f\n",
            uvi, uva, uva_cie, uvb, uvb_cie) ;
        UART_UartPutString(str) ;
        CyDelay(1000) ;
    }
}

/* [] END OF FILE */
